Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135985 - Focus in macro panel
Focus in macro panel
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Macros
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
: NETFIX, SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 12:26 UTC by Jiri Prox
Modified: 2009-08-13 06:05 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch for this issue (2.72 KB, patch)
2009-08-11 20:18 UTC, tusharvjoshi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2008-05-28 12:26:16 UTC
Product Version: NetBeans IDE Dev (Build 20080525200304)
Java: 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b11
System: Linux version 2.6.22-14-generic running on i386; UTF-8; en_US (nb)
Userdir: /home/jp159440/.netbeans/dev

Now, when item is selected in list of macro (Options-> Editor->Macros) the focus is moved to Macro Code. This makes
browsing the list very hard, since the user must put focus back and then he can move to next item.
IMO it would be better if behaves like code template browsing - e.g. without focus move
Comment 1 Vitezslav Stejskal 2008-06-06 10:24:09 UTC
I see, it should be easy to fix. We might just want to intercept ENTER keystrokes and move the focus to the code editor
panel. Ideally the whole panel should be easy to control by keyboard.
Comment 2 Jiri Kovalsky 2009-03-30 14:22:44 UTC
Vita Stejskal agreed that he would review and integrate a patch for this issue contributed by the NetFIX [1] team.

[1] http://wiki.netbeans.org/NetFIX
Comment 3 tusharvjoshi 2009-08-11 20:18:14 UTC
Created attachment 86125 [details]
Patch for this issue
Comment 4 tusharvjoshi 2009-08-11 20:20:55 UTC
I have attached a patch which works as requested in this issue.
The table selection does not shift the focus to the macro code text field.  When ENTER key is pressed then the focus is 
shifted to the Macro Code Field.

Please review

with regards
Tushar Joshi, Nagpur
NetFIX Team
Comment 5 Jiri Kovalsky 2009-08-11 20:49:00 UTC
Vito, could you please review Tushar's patch and integrate it if you accept it? Thanks a lot!
Comment 6 Vitezslav Stejskal 2009-08-12 12:02:27 UTC
Thanks for the patch!
http://hg.netbeans.org/jet-main/rev/ba1d5bfd5c61
Comment 7 Quality Engineering 2009-08-13 06:05:13 UTC
Integrated into 'main-golden', will be available in build *200908130201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ba1d5bfd5c61
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #135985: Focus in macro panel - applying patch from tusharvjoshi


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo